package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.util.Comparator;

/**
 * Comparator for Aircraft based on their computed ready times at
 * the runway.
 * 
 * @author William Hawkins
 *
 */
public class AircraftAlphaComparator implements Comparator<Aircraft> {
	
	private static AircraftAlphaComparator comp = null;
	
	private AircraftAlphaComparator() {
		
	}
	
	public static AircraftAlphaComparator getInstance() {
		if (comp == null) {
			comp = new AircraftAlphaComparator();
		}
		return comp;
	}
	
	@Override
	public int compare(Aircraft a, Aircraft b) {
		return a.getRunwayReadyTime() - b.getRunwayReadyTime();
	}
}
