package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.util.Comparator;

/**
 * Comparator for Aircraft based on the time they are released
 * from the spot.
 * 
 * @author William Hawkins
 *
 */
public class AircraftSpotReleaseComparator implements Comparator<Aircraft> {

	private static AircraftSpotReleaseComparator comp = null;
	
	private AircraftSpotReleaseComparator() {
		
	}
	
	public static AircraftSpotReleaseComparator getInstance() {
		if (comp == null) {
			comp = new AircraftSpotReleaseComparator();
		}
		return comp;
	}
	
	@Override
	public int compare(Aircraft a, Aircraft b) {
		int diff = a.getOptReleaseTime() - b.getOptReleaseTime();
		if (diff == 0) {
			diff = a.getFcfsIndex() - b.getFcfsIndex();
		}
		return diff;
	}

}
