package edu.mit.ll.group43.surfaceoptimization.dp.factory;

import edu.mit.ll.group43.surfaceoptimization.aircraft.MinimumSeparationCalculator;
import edu.mit.ll.group43.surfaceoptimization.aircraft.WeightClass;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.AGOGFSpotCostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.CostStrategy;


public class AGOGFSpotDPSequencerFactory extends OneGapForceSpotDPSequencerFactory {

	public AGOGFSpotDPSequencerFactory(int cps,
			MinimumSeparationCalculator<? extends WeightClass> calc) {
		super(cps, calc);
	}

	@Override
	public CostStrategy getCostStrategy() {
		return new AGOGFSpotCostStrategy(cps, calc);
	}
}
