package edu.mit.ll.group43.surfaceoptimization.dp.factory.sequencerecovery;

import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.network.dp.CPSNetworkNode;

public interface SequenceRecoveryStrategy {

	/**
	 * Recovers the optimal spot release sequence given the final stage
	 * node with the shortest path length from the start of the network.
	 * 
	 * @param optNode
	 * @return
	 */
	public ArrayList<Aircraft> recoverSequence(CPSNetworkNode optEnd);
	
	public void processPrevNodes(CPSNetworkNode node);
}
