package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.util.ArrayList;
import java.util.Collections;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.aircraft.AircraftSpotReleaseComparator;

public class CPSDeviationMeasurer implements Measurer {

	private int CPS;
	private static CPSDeviationMeasurer measurer = null;
	
	private CPSDeviationMeasurer(int cps) {
		CPS = cps;
	}
	
	public static int measure(ArrayList<Aircraft> sequence, int cps) {
		if (measurer == null || measurer.CPS != cps) {
			measurer = new CPSDeviationMeasurer(cps);
		}
		return measurer.measure(sequence);
	}
	
	@Override
	public int measure(ArrayList<Aircraft> sequence) {
		Collections.sort(sequence, AircraftSpotReleaseComparator.getInstance());
		int deviation = 0;
		
		for (int i = 0; i < sequence.size(); i ++) {
			int pos = i + 1;
			deviation += Math.max(0, Math.abs(pos - sequence.get(i).getFcfsIndex()) - CPS);
		}
		
		return deviation;
	}
}
