package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * This interface is to be implemented that performs any kind of
 * measurement on a sequence, such as system delay, maximum
 * delay, makespan, robustness, etc.
 * 
 * @author William Hawkins
 *
 */
public interface Measurer {

	/**
	 * Returns the calculated measure for this aircraft sequence
	 * based on what this measurer is measuring.
	 * 
	 * @param sequence Sequence to be measured
	 * @return
	 * @throws FileNotFoundException 
	 */
	public int measure(ArrayList<Aircraft> sequence) throws FileNotFoundException;
}
