package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Measurer that determines the system delay at the runway for
 * the given sequence.
 * 
 * @author William Hawkins
 *
 */
public class RunwaySystemDelayMeasurer implements Measurer {

	@Override
	public int measure(ArrayList<Aircraft> sequence) throws FileNotFoundException {
		
		ArrayList<Aircraft> takeoffSequence = MeasurementUtils.takeoffSequence(sequence);
		int[] takeoffs = MeasurementUtils.takeoffTimes(takeoffSequence);
		
		// Calculate the system delay
		int systemDelay = 0;
		for (int j = 0; j < takeoffs.length; j ++) {
			systemDelay += (takeoffs[j] - takeoffSequence.get(j).getRunwayReadyTime());
		}
		
		return systemDelay;
	}
}
