package edu.mit.ll.group43.surfaceoptimization.network;

import java.util.ArrayList;

/**
 * Represents a node in a network.
 * 
 * @author William Hawkins
 *
 */
public interface NetworkNode {

	/**
	 * Returns a list of edges that point to this node.
	 * 
	 * @return
	 */
	public ArrayList<NetworkEdge> getPrevNodes();

	/**
	 * Sets this node's list of edges that point to it.
	 * 
	 * @param prevNodes
	 */
	public void setPrevNodes(ArrayList<NetworkEdge> prevNodes);

	/**
	 * Returns a list of edges that originate from this node.
	 * 
	 * @return
	 */
	public ArrayList<NetworkEdge> getNextNodes();

	/**
	 * Sets this node's list of edges that originate from it.
	 * 
	 * @param nextNodes
	 */
	public void setNextNodes(ArrayList<NetworkEdge> nextNodes);
}
