package edu.mit.ll.group43.surfaceoptimization.validator;

import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Interface to be implemented by classes that validate whether
 * a given sequence of aircraft obeys a given constraint.
 * 
 * @author William Hawkins
 *
 */
public interface Validator {

	/**
	 * Validates that the given sequence obeys the constraint
	 * of this Validator.
	 * 
	 * @param seq Sequence to be validated
	 * @return True if the sequence is valid, false otherwise
	 */
	public boolean validate(ArrayList<Aircraft> seq);
}
