package edu.mit.ll.group43.surfaceoptimization.input;

import java.io.FileNotFoundException;

import junit.framework.TestCase;

import org.junit.Before;
import org.junit.Test;

import edu.mit.ll.group43.surfaceoptimization.input.MinSeparationReader;
import edu.mit.ll.group43.surfaceoptimization.input.TextMinSeparationReader;

public class TestTextMinSeparationReader extends TestCase {

	private final String SEP_FILE = "data/separations/ddsep";
	private MinSeparationReader sepReader;
	
	@Override
	@Before
	public void setUp() {
		try {
			sepReader = new TextMinSeparationReader(SEP_FILE);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	@Test
	public void testBadFile() {
		try {
			sepReader = new TextMinSeparationReader("thisfileisfake");
			fail(); // An exception must be thrown
		} catch (FileNotFoundException e) {
		
		} catch (Exception e) {
			fail(); // The exception must be a FileNotFoundException
		}
	}
	
	//TODO: Test a badly formed file
	
	@Test
	public void testCorrectNumberOfLines() throws FileNotFoundException {
		int i = 0;
		while (sepReader.nextLine() != null) {
			i ++;
		}
		assertEquals(i, 4);
	}
	
	@Test
	public void testSeparationValues() {
		int[] times = sepReader.nextLine();
		assertEquals(60, times[0]);
		assertEquals(60, times[1]);
		assertEquals(60, times[2]);
		assertEquals(60, times[3]);
	}
}
